org.gradle.plugins.binaries

## Class BinariesPlugin

- java.lang.Object
- - org.gradle.plugins.binaries.BinariesPlugin

- All Implemented Interfaces:
    Plugin<org.gradle.api.internal.project.ProjectInternal>

      public class BinariesPlugin
      extends Object
      implements Plugin<org.gradle.api.internal.project.ProjectInternal>

  temp plugin, not sure what will provide the binaries container and model elements

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinariesPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)` Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinariesPlugin

          public BinariesPlugin()

  - ### Method Detail

    - #### apply

          public void apply(org.gradle.api.internal.project.ProjectInternal project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
      Parameters:
        `project` - The target object